Stencyl 1.4.1 (Released on Jan. 22)

Jon

  • *
  • Posts: 17533
1.4 is now out as an update. I'll blog about it tomorrow.

Jon

  • *
  • Posts: 17533
I've added our In-App Purchases guide to Stencylpedia.
http://www.stencyl.com/help/viewArticle/111/

Egbert2011Games

  • Posts: 191
Upgraded! (Well, why Wouldn't I?)

Jon

  • *
  • Posts: 17533
Is the server hosting the latest version that can build Ad Hoc apps? I am using Preview 4, and I am pretty sure I have all my certificates in order, but I cannot seem to get the game to build and I get a codesign error.

EDIT: reread the first post and saw that the server should be building. Will go back and check all my certificates again.

Yeah I didn't know there were so many different certificates. But now I am getting this error:

[BEROR]Code Sign error: The identity 'iPhone Developer: Austin Langston (xxxxxxxxxx)' doesn't match any identity in any profile
error: Specified application doesn't exist or isn't a bundle directory : '/Users/StencylBuild/temp/Build/Release-iphoneos/AppScaffold.app'

Kinda really stuck on this one...


E-mailed you back and clarified our Publishing article based on that. Your problem was that you used your developer certificate rather than your distribution certificate.

emf715

  • Posts: 46
I upgraded one of my machines to 1.4, but now I can't test to Simulator nor Device. Everything worked fine before the update. Logs are attached.

FUNWISP

  • Posts: 46
Hi, I'm getting similar similar errors, unable to test on simulator - MAC Address is still correct, so don't understand why ?

Jon

  • *
  • Posts: 17533
Sorry guys - I do all this nice stuff only to botch the most basic things - I forgot to include the darn library in the update.

And because the version is now internally embedded, you can't do a reupdate anymore. I'll push a dummy update called 1.4.1 and forcibly adds the file in for you. It'll take about half an hour for me to make a new release.

« Last Edit: January 22, 2012, 11:24:56 pm by Jon »

FUNWISP

  • Posts: 46
No worries, Jon, happens to the best of us. :)

Looking forward to the updated version ! :)

Jon

  • *
  • Posts: 17533
I pushed 1.4.1 out - let me know if it fixes the issue (I tested it myself and it does here)

FUNWISP

  • Posts: 46
Seems to be working fine now, Jon ! :)

At least on simulator anyway, can't confirm device.  anyone else ?  I'm sure it's fine. :)

emf715

  • Posts: 46
1.4.1 works great now. You're awesome, Jon!

Photics

  • *
  • Posts: 719
At least on simulator anyway, can't confirm device.  anyone else ?  I'm sure it's fine. :)

I loaded up the port of Arcading on my iPhone 4. It seemed to work OK.
Michael Garofalohttp://photics.com – Author of The Interactive Stencyl Textbook 8)

camaleonyco

  • Posts: 204
Well, I have updated to 1.4.1 and now I'm getting only "Unable to build" messages from Stencyl Builder. I didn't even touch any actor, scene or behavior, provisioning and p12 files are the same. I just published it to test if it works and it doesn't. Do I have to do something else before sending games to Stencyl Builder?

« Last Edit: January 23, 2012, 06:36:17 am by camaleonyco »


Jon

  • *
  • Posts: 17533
I forgot to generate a new instance for StencylBuilder. It's uploading now.

So many moving parts to remember. :(